$!-----------------------------------------------------------------------------
$! BUILD_YAHMAIL.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$! P2 == "HERE" forces a local directory executable (regardless of HT_ROOT:)
$!
$! 15-JAN-2000  MGD  generalize for WASD and non-WASD builds
$! 22-JUN-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ IF P1 .EQS. "MIME"
$ THEN
$    SET DEFAULT [.MUNPACK]
$    @BUILD_YAHMAIL "''P2'" "''P3'"
$    SET DEFAULT [-]
$    EXIT
$ ENDIF
$!
$ IF P2 .EQS. ""
$ THEN
$    LANGUAGE = "EN"
$ ELSE
$    LANGUAGE = P2
$ ENDIF
$!
$ APPLICATION = "YAHMAIL"
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
  " for ""''F$GETSYI("ARCH_NAME")'"""
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
            "__CRTL_VER=60000000," +-
            "CGILIB_INCLUDE_H=""""""./cgilib.h""""""," +-
            "CGILIB_INCLUDE_C=""""""./cgilib.c"""""")"
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIM /STAND=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIM /STAND=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' yahMAIL
$    CC 'CC_OPTIONS' lang_'LANGUAGE'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    IF F$TRNLNM("HT_ROOT") .EQS. "" .OR. P2 .EQS. "HERE"
$       THEN EXECUTABLE = "'APPLICATION'_'ARCH_NAME'.EXE"
$       ELSE EXECUTABLE = "HT_EXE:'APPLICATION'.EXE"
$    ENDIF
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE='EXECUTABLE' -
     'OBJECT_DIR'yahMAIL',lang_'LANGUAGE''LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE 'EXECUTABLE'
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
